Subject: Re: FVWM: Re: 2.2.4 build fails with native HPUX compiler

From: Dominik Vogt <[email-masked]>
Date: Wed, 1 Dec 1999 09:35:40 +0100

On Tue, Nov 30, 1999 at 02:12:06PM -0600, [email-masked] wrote:
> Paul D. Smith <[email-masked]> wrote:
> >
> > GNU's autoconf stuff goes to great lengths to find the right switches
> > to enable ANSI-ification on the C compiler.  You shouldn't need to do
> > anything fancy to get this?
> 
> Newer versions of autoconf do this quite well, but not every package one
> finds on the net was built with the latest versions of autoconf.  If I
> have problems building, forcing the '-Ae' switch is the first thing I
> try.
> 
> >   ff>     env CC=cc CFLAGS='-Ae -O' ./configure [--options]
> > 
> > Is this with the native "cc" that comes free with the HP-UX system, or
> > with their unbundled "add-on" C compiler you have to buy separately?
> 
> This is with the non-free compiler.  The "bundled" compiler is very
> noisy and annoying about its inability to become ANSI compliant, giving
> a message like this when you try to use -Ae:
> 
>     (Bundled) cc: warning 480: The -A option is available only with the
> 	C/ANSI C product; ignored.
> 
> If you see this, then you have little choice but to go with gcc.
> 
> If you (or whoever owns the box you're trying to build on) has paid the
> money for the HP ANSI C compiler, you might as well make use of it.. 
> eh?  :)

Ah, I work for HP :-)  Well, at least I used to up to the company split.
I don't need to use fvwm on an HP-UX machine though; I just thought
it wouldn't hurt if I try the patches I made for 2.2.4 on a HP-UX
machine too.  It was fairly easy with gcc, but I ran into said trouble
without it, so I thought I'd ask if this might be a problem of fvwm
itself.

Bye

Dominik ^_^

-- 
Dominik Vogt, Agilent Technologies, Dept. BVS
Herrenberger Str.130, 71034 Boeblingen, Germany
phone: 07031/464-4596, fax: 07031/464-3883, [email-masked]
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].